package cn.com.tenlion.projectconfig.pojo.dtos.projectconfig;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ProjectConfigDTO
 * @Description: CBC项目配置管理表
 * @Author: CodeFactory
 * @Date: 2021-08-12 13:54:56
 * @Version: 3.0
 **/
@ApiModel
public class ProjectConfigDTO {

    @ApiModelProperty(name = "projectConfigId", value = "项目配置")
    private String projectConfigId;
    @ApiModelProperty(name = "projectConfigKey", value = "配置Key")
    private String projectConfigKey;
    @ApiModelProperty(name = "projectConfigMode", value = "配置类型1:文字配置,2:开关配置,3:图片配置,4:自定义配置")
    private String projectConfigMode;
    @ApiModelProperty(name = "projectConfigText", value = "文字配置")
    private String projectConfigText;
    @ApiModelProperty(name = "projectConfigSwitch", value = "开关配置")
    private String projectConfigSwitch;
    @ApiModelProperty(name = "projectConfigImage", value = "图片配置")
    private String projectConfigImage;
    @ApiModelProperty(name = "projectConfigParams", value = "自定义配置")
    private String projectConfigParams;
    @ApiModelProperty(name = "projectConfigLevel", value = "配置级别1初,2中,3高")
    private String projectConfigLevel;
    @ApiModelProperty(name = "projectConfigStatus", value = "是否允许删除0:不允许,1:允许")
    private String projectConfigStatus;
    @ApiModelProperty(name = "projectConfigRemark", value = "备注说明")
    private String projectConfigRemark;
    @ApiModelProperty(name = "projectConfigProject", value = "配置项目")
    private String projectConfigProject;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;

    public String getProjectConfigId() {
        return projectConfigId == null ? "" : projectConfigId.trim();
    }

    public void setProjectConfigId(String projectConfigId) {
        this.projectConfigId = projectConfigId;
    }

    public String getProjectConfigKey() {
        return projectConfigKey == null ? "" : projectConfigKey.trim();
    }

    public void setProjectConfigKey(String projectConfigKey) {
        this.projectConfigKey = projectConfigKey;
    }

    public String getProjectConfigMode() {
        return projectConfigMode == null ? "" : projectConfigMode.trim();
    }

    public void setProjectConfigMode(String projectConfigMode) {
        this.projectConfigMode = projectConfigMode;
    }

    public String getProjectConfigText() {
        return projectConfigText == null ? "" : projectConfigText.trim();
    }

    public void setProjectConfigText(String projectConfigText) {
        this.projectConfigText = projectConfigText;
    }

    public String getProjectConfigSwitch() {
        return projectConfigSwitch == null ? "" : projectConfigSwitch.trim();
    }

    public void setProjectConfigSwitch(String projectConfigSwitch) {
        this.projectConfigSwitch = projectConfigSwitch;
    }

    public String getProjectConfigImage() {
        return projectConfigImage == null ? "" : projectConfigImage.trim();
    }

    public void setProjectConfigImage(String projectConfigImage) {
        this.projectConfigImage = projectConfigImage;
    }

    public String getProjectConfigParams() {
        return projectConfigParams == null ? "" : projectConfigParams.trim();
    }

    public void setProjectConfigParams(String projectConfigParams) {
        this.projectConfigParams = projectConfigParams;
    }

    public String getProjectConfigLevel() {
        return projectConfigLevel == null ? "" : projectConfigLevel.trim();
    }

    public void setProjectConfigLevel(String projectConfigLevel) {
        this.projectConfigLevel = projectConfigLevel;
    }

    public String getProjectConfigStatus() {
        return projectConfigStatus == null ? "" : projectConfigStatus.trim();
    }

    public void setProjectConfigStatus(String projectConfigStatus) {
        this.projectConfigStatus = projectConfigStatus;
    }

    public String getProjectConfigRemark() {
        return projectConfigRemark == null ? "" : projectConfigRemark.trim();
    }

    public void setProjectConfigRemark(String projectConfigRemark) {
        this.projectConfigRemark = projectConfigRemark;
    }

    public String getProjectConfigProject() {
        return projectConfigProject == null ? "" : projectConfigProject.trim();
    }

    public void setProjectConfigProject(String projectConfigProject) {
        this.projectConfigProject = projectConfigProject;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
